#!/bin/bash -
# @(#) sles11_64_patch.sh  Installs patch for (acer/founder).
# @(#)  Author: balajit@amiindia.co.in
# ----------------------------------------------------------------------------
# Created On : 25/July/2012
#
echo "Smart Server Manager "
echo "Script starts to install patch for SSM"
echo " "
touch t1
touch t2
rpm -qa|grep -i "acer.ssm">t1
my_size1=$(wc -l<t1)
#echo " Size of report file is $my_size1 lines"
echo "checking for acer.ssm......... "
if [[ "$my_size1" -gt "0" ]]
then 
echo "Package is installed."
fi
rpm -qa |grep -i "founder.ssm" > t2
my_size2=$( wc -l < t2 )
#echo " Size of report file is $my_size2 lines"
echo "checking for founder.ssm......... "
if [[ $my_size2 -gt 0 ]]
then
echo "Package is installed."
fi
COUNT=0
if [[ $my_size1 -gt 0 ]]
then
	COUNT=`expr $COUNT + 1`
	echo "Procmgr is stoping...."
	service acer.ssm stop
	echo "Applying patch for acer.ssm.........."
	mkdir -p /opt/acer.ssm/etc/patch
	cp ../binaries/etc/patch/kb001.txt /opt/acer.ssm/etc/patch/
	cp ../binaries/sles11_64/bin/hxresourcemon /opt/acer.ssm/bin/hxresourcemon
	cp ../binaries/var/www/html/XMSPlugin_SX.swf /opt/acer.ssm/var/www/html/XMSPlugin_SX.swf
	copy_to=/opt/acer.ssm/var/www/xms/application/modules/hx/model/sysinfo/StaticInfoAO.php
	cp ../binaries/var/www/xms/application/modules/hx/model/sysinfo/StaticInfoAO.php $copy_to
	rm -f t1
	rm -f t2
	echo "procmgr is starting..."
	service acer.ssm start
	echo "Patch installation successful"

fi
if [[ $my_size2 -gt 0 ]]
then
	COUNT=`expr $COUNT + 1`
        echo "Procmgr is stoping...."
        service founder.ssm stop
	echo "Applying patch for founder.ssm.........."
        mkdir -p /opt/founder.ssm/etc/patch
        cp ../binaries/etc/patch/kb001.txt /opt/founder.ssm/etc/patch/
        cp ../binaries/sles11_64/bin/hxresourcemon /opt/founder.ssm/bin/hxresourcemon
        cp ../binaries/var/www/html/XMSPlugin_SX.swf /opt/founder.ssm/var/www/html/XMSPlugin_SX.swf
        copy_to=/opt/founder.ssm/var/www/xms/application/modules/hx/model/sysinfo/StaticInfoAO.php
        cp ../binaries/var/www/xms/application/modules/hx/model/sysinfo/StaticInfoAO.php $copy_to
       	rm -f t1
	rm -f t2
        echo "procmgr is starting..."
        service founder.ssm start
	echo "Patch installation successful"
fi        
if [[ $COUNT -eq 0 ]]
then
echo "Package not found!!"
 rm -f t1
 rm -f t2
fi

exit 0
